Package org.eclipse.emf.cdo.common.branch

## Interface CDOBranchVersion

- All Superinterfaces:
    `CDOBranchProvider`, `CDOVersionProvider`
  All Known Subinterfaces:
    `CDORevisable`, `CDORevision`, `CDORevisionCache.EvictionEvent`, `CDORevisionDelta`, `CDORevisionKey`, `InternalCDORevision`, `InternalCDORevisionDelta`
  All Known Implementing Classes:
    `AbstractCDORevision`, `BaseCDORevision`, `DelegatingCDORevision`, `DetachedCDORevision`, `PointerCDORevision`, `StubCDORevision`, `SyntheticCDORevision`

      public interface CDOBranchVersion
      extends CDOBranchProvider, CDOVersionProvider

  A pair of a `branch` and an integer `version` number.

  It is often used in the context of `CDORevisionManager.getRevisionByVersion()`.

  Since:
    3.0
  Author:
    Eike Stepper
  See Also:
    `CDOBranch.getVersion(int)`
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `FIRST_VERSION` | The fixed version number that is assigned to the first `revision` of an `object` that is committed to a particular branch .
    `static int` | `UNSPECIFIED_VERSION` | The fixed special version number unspecified.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBranch` | `getBranch()` | Returns the branch of this branch version.
    `int` | `getVersion()` | Returns the version number of this branch version.

- - ### Field Detail

    - #### UNSPECIFIED_VERSION

          static final int UNSPECIFIED_VERSION

      The fixed special version number unspecified.
      See Also:
        Constant Field Values

    - #### FIRST_VERSION

          static final int FIRST_VERSION

      The fixed version number that is assigned to the first `revision` of an `object` that is committed to a particular branch .
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getBranch

          CDOBranch getBranch()

      Returns the branch of this branch version.
      Specified by:
        `getBranch` in interface `CDOBranchProvider`

    - #### getVersion

          int getVersion()

      Returns the version number of this branch version.
      Specified by:
        `getVersion` in interface `CDOVersionProvider`